OpenTTD

Public Member Functions | Data Fields
CargoesRow Struct Reference

A single row of CargoesField. More...

## Public Member Functions
void | ConnectIndustryProduced (int column)
| Connect industry production cargoes to the cargo column after it. More...
void | MakeCargoLabel (int column, bool accepting)
| Construct a CFT_CARGO_LABEL field. More...
void | ConnectIndustryAccepted (int column)
| Connect industry accepted cargoes to the cargo column before it. More...

## Data Fields
CargoesField | columns [5]
| One row of fields.

## Detailed Description

A single row of CargoesField.

Definition at line 1962 of file industry_gui.cpp.

## Member Function Documentation

## ◆ ConnectIndustryAccepted()

void CargoesRow::ConnectIndustryAccepted | ( | int | column | ) |
| inline

Connect industry accepted cargoes to the cargo column before it.

Parameters

  column | Column of the industry.

Definition at line 2026 of file industry_gui.cpp.

## ◆ ConnectIndustryProduced()

void CargoesRow::ConnectIndustryProduced | ( | int | column | ) |
| inline

Connect industry production cargoes to the cargo column after it.

Parameters

  column | Column of the industry.

Definition at line 1969 of file industry_gui.cpp.

## ◆ MakeCargoLabel()

void CargoesRow::MakeCargoLabel | ( | int | column,
|  | bool | accepting
| ) |  |
| inline

Construct a CFT_CARGO_LABEL field.

Parameters

  column | Column to create the new field.
  accepting | Display accepted cargo (if `false`, display produced cargo).

Definition at line 2005 of file industry_gui.cpp.

References INVALID_CARGO, lengthof, MAX_CARGOES, and MemSetT().

The documentation for this struct was generated from the following file:

- src/industry_gui.cpp